Package org.eclipse.cdt.utils.debug

# Class DebugBaseType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType
org.eclipse.cdt.utils.debug.DebugBaseType

public class DebugBaseType extends DebugType
DebugType

## Constructor Summary

Constructors
Constructor
Description
`DebugBaseType(String name, int size, boolean unSigned)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTypeName()`
`boolean`
`isUnSigned()`
`int`
`sizeof()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugBaseType

public DebugBaseType(String name, int size, boolean unSigned)

## Method Details

### getTypeName

public String getTypeName()

### sizeof

public int sizeof()

### isUnSigned

public boolean isUnSigned()